@import "../../styles/variables";

.programmationPage {
    .programmation-filters {
        * {
            text-transform: capitalize;
        }

        span {
            margin-right: 3%;
        }

        > div {
            margin: 2% auto;
        }

        &__lieu {
            display: flex;
            align-items: flex-end;
        }

        &__categorie {
            display: flex;
            width: 100%;
            white-space: nowrap;

            label {
                margin-left: 10%;
            }

            > div {
                width: 100%;
                display: flex;
                justify-content: space-around;
            }
        }

        &__trier {
            display: flex;

            span {
                margin-right: 3%;
            }

            .dropdown {
                background-color: $primary-color;
                border-color: $primary-color;

                &-toggle {
                    background-color: rgba($color: $primary-color, $alpha: 0.7);
                    border-color: $primary-color;

                    &::after {
                        margin-left: 1em;
                    }

                    &:focus {
                        box-shadow: 0 0 0 0.25rem rgba($primary-color, 0.5);
                    }
                }
            }
        }
        
        .active {
            border-color: $primary-color;
            background: white;
            color: $primary-color;
        }

        &__btn {
            background-color: $primary-color;
            border-radius: 0px;
            border: 1px solid white;
            color: white;

            &:hover,
            &:active {
                border-color: $primary-color;
                background: white;
                color: $primary-color;
            }
        }

        &__date {
            display: flex;
            align-items: baseline;
        }
    }

    .programmation-content {
        margin: auto;
        justify-content: center;
    }
}

.date-picker__range {
    display: flex;

    > div {
        width: 200px;
        display: flex;
        justify-content: space-between;
        align-items: center;

        &:first-child {
            margin-right: 15%;
        }
    }

    .bi {
        color: inherit;
        height: 57px;
    }

    .react-datepicker-wrapper {
        input {
            text-align: center;
            width: 100px;
        }
    }
}
